Subject: [dispatch] Fwd: [GGIE] DRAFT bof proposal for IETF 98 in Chicago

From: "Leslie Daigle" <[email-masked]>
Date: Wed, 08 Feb 2017 16:46:17 -0500

Hi,

Following up the discussion of GGIE at the last 2 DISPATCH meetings, we 
are going to propose a BoF for IETF 98.  Please see below for 1/ 
information about the GGIE mailing list [*] where it’s being 
discussed, and 2/ the draft BoF proposal.  As noted in the message, we 
are happy to have suggestions on how to improve the proposal/move the 
work forward.

Thanks,
Leslie.
[*] Subscription and other info here:  
https://www.ietf.org/mailman/listinfo/ggie/

-- 

-------------------------------------------------------------------
Leslie Daigle
Principal, ThinkingCat Enterprises LLC
[email-masked]
-------------------------------------------------------------------
Forwarded message:

> From: Leslie Daigle <[email-masked]>
> To: [email-masked]
> Cc: Deen, Glenn <[email-masked]>
> Subject: DRAFT bof proposal for IETF 98 in Chicago
> Date: Wed, 08 Feb 2017 16:32:16 -0500
>
> Hi,
>
> Please find below a proposal for a GGIE BoF (WG-forming) at IETF 98 in 
> Chicago.  We will be submitting the proposal by the deadline this 
> Friday, but would be happy to have suggestions to improve the proposal 
> before then.
>
> One of the things we’ve beed advised is that 
> GGIE-proponents-other-than-Glenn-and-Leslie are pretty invisible to 
> the IESG.  If there doesn’t seem to be other interest, there won’t 
> be much justification for a BoF.
>
> Now is the time, and here is the place, to voice your support for 
> furthering this discussion!
>
> Thanks,
> Leslie.
>
> —8<——8<——8<——
>
> Name: Glass to Glass Internet Ecosystem (GGIE)
>
> Description:
>
> Video is without rival the top use of Internet bandwidth, and its ever 
> growing demand for more bandwidth easily out paces the new capacity 
> being added both globally and regionally with no let up in sight.   
> Users are frustrated by quality, buffering, and stuttering problems. 
> Video providers and access networks are investing heavily to keep up 
> with demand.  Significant work has be done at the application layer 
> producing more efficient codecs and innovative adaptive bitrate 
> transports like MPEG-DASH.  These access investments and application 
> layer work have helped but they alone have not been enough.
>
> This BoF will introduce the Glass to Glass Internet Ecosystem (GGIE) 
> which focuses on network level innovations to compliment the efforts 
> at the application layer and access networks.  The proposed GGIE work 
> includes enabling adaptive bitrate transports like MPEG-DASH to use 
> IPv6 as their video segment addressing scheme which in turn permits 
> use of advanced IPv6 network features such as Segment Routing.  A GGIE 
> goal is to enabling video and network routing and management to work 
> more cooperatively and efficiently to transport video, and to do so in 
> a backward compatible ways to permit exiting devices and players to 
> take advantage of the improved network efficiencies.
>
>
>
>     Agenda
> 	Agenda bash, scribe, minute taker [10min]
>
> 	Context setting [15min]
> 		Highlights of the Internet Video Scaling Problem
> 		Specific aims of the GGIE work
> 		Relationship to other IETF activity
> 		Relationship to work in other fora
> 	
>         Overview of existing GGIE work — Network level proposals, 
> demo  [50min]
>              - IPv6 Prefix addressing of MPEG-DASH packaged video
>              - Content identifier to content address mapping using 
> MARS
> 	     - GGIE prototype demo
>
> 	Where from here? [45min]
> 		Known open questions
> 		Potential for IETF work — is there interest to pursue?
> 		If applicable: Discussion of draft charter for WG
> 		
>
>         Demo of GGIE prototype
>         Q&A & Discussion
>
>     Status: WG Forming
>     Responsible AD: Ben Campbell
>     BoF proponents: Glenn Deen / Leslie Daigle
>     BoF chairs: TBD
>     Number of people expected to attend: TBD
>     Length of session (1, 1.5, 2, or 2.5 hours): 2 hours
>     Conflicts to avoid (whole Areas and/or WGs): DISPATCH WG and TBD
>     Links to the mailing list, draft charter if any, relevant 
> Internet-Drafts, etc.
>         Mailing List: ​https://www.ietf.org/mailman/listinfo/ggie
>         Draft charter: see below
>         Relevant drafts:
>             draft-deen-daigle-ggie-02 :  Glass to Glass Internet 
> Ecosystem Introduction
> 	    draft-rose-deen-ggie-use-cases-00 : GGIE Internet Video Use 
> Cases		
> 	    draft-daigle-deen-ggie-uri-snaptr-00 :  Glass to Glass Internet 
> Ecosystem URI and S-NAPTR Use
> 	    draft-deen-naik-ggie-men-mpeg-dash-00 : Using Media Encoding 
> Networks to address MPEG-DASH video (This is expired, but we can 
> easily re-spin, or wait for WG input).
>
>
>
>
> Glass to Glass Internet Ecosystem (GGIE) -- Draft Charter
>
> Due to its size and sensitivity to network conditions, the transport 
> of video over the Internet has highlighted a significant scalability 
> problem for the Internet.  Addressing this scalability problem 
> requires better integration between application transport and 
> networking technologies and leveraging IPv6.  The GGIE working group 
> will define a set of fundamental building blocks bridging video 
> application use of the network and core network services of 
> addressing, routing, and naming. Through standardization, of such 
> fundamentals, a common base platform for new interoperable innovation 
> on video transport efficiency and scalability will be enabled.
>
> The scalability problem is driven by both professional and user 
> generated content, fortunately both types of content use the same 
> transport technologies which permits the working group’s output to 
> apply equally to them. Likewise, in addition to the use the network to 
> transport video for viewing, the network is extensively used in video 
> creation workflows of capture and editing, and distribution workflows 
> of encoding, packaging, and distribution to edge caches for playback.  
>  The working group will address both viewing and creation/distribution 
> workflows.
>
> To that end, the GGIE working group will define missing pieces of 
> Internet technology standards, as well as provide pointers to use of 
> existing standards.
>
> Specifically, the GGIE working group will:
>
> + complete an overview document outlining the GGIE problem statement 
> and general solution approach
> + develop a set of use cases representative of GGIE problem scope
> + develop a standardized URI for referring to specific media objects 
> within a domain
> + develop a standardized means for mapping IPv6 addresses to video 
> data
> + develop a media address resolution service protocol (MARS) to map 
> URIs and addresses for video
> + provide a mechanism for discovering media address resolution 
> services
> + document integration methods with lower level fundamental network 
> services (eg. routing)
> + develop media encoding network (MEN) definitions for video packaging 
> such as MPEG-DASH
> + illustrate how these technologies address the use cases already 
> developed for GGIE
>
> Out of scope are:  video technologies including codecs, digital rights 
> management, and DRM enforcement technologies.
>
>
>
> -- 
>
> -------------------------------------------------------------------
> Leslie Daigle
> Principal, ThinkingCat Enterprises LLC
> [email-masked]
> -------------------------------------------------------------------